
QGIS Application - Bug report #10259

processing - Model text doesn't honor Model GUI

2014-05-13 08:57 AM - Antonio Locandro

Status: Rejected

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.2.0 Regression?: No

Operating System: Windows 8.1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 18691

Description

I made a model, saved it and then decided to delete several stuff, saved it again and I see a lot of leftover junk

NAME:distance check

GROUP:aeronautical

PARAMETER:ParameterVector|VECTORLAYER_INPUTROUTEVECTOR|input_route_vector|1|False

153.0,51.0

VALUE:HARDCODEDPARAMVALUE_NUMBER0_3===0

VALUE:HARDCODEDPARAMVALUE_FIELD_TYPE_3===0

VALUE:HARDCODEDPARAMVALUE_FORMULA_0===value = $length

VALUE:HARDCODEDPARAMVALUE_FORMULA_3===value = 50.00

VALUE:HARDCODEDPARAMVALUE_FIELD_TYPE_0===0

VALUE:HARDCODEDPARAMVALUE_NEW_FIELD_3===True

VALUE:HARDCODEDPARAMVALUE_FIELD_PRECISION_0===2

VALUE:HARDCODEDPARAMVALUE_FIELD_PRECISION_1===2

VALUE:HARDCODEDPARAMVALUE_FIELD_LENGTH_1===6

VALUE:HARDCODEDPARAMVALUE_FIELD_LENGTH_0===6

VALUE:HARDCODEDPARAMVALUE_FIELD_LENGTH_3===6

VALUE:HARDCODEDPARAMVALUE_FIELD_LENGTH_2===6

VALUE:HARDCODEDPARAMVALUE_FIELD_NAME_2===calc_dist

VALUE:HARDCODEDPARAMVALUE_FIELD_NAME_3===test

VALUE:HARDCODEDPARAMVALUE_FIELD_NAME_0===calc_dist

VALUE:HARDCODEDPARAMVALUE_FIELD_NAME_1===diff_dist

VALUE:HARDCODEDPARAMVALUE_FIELD_TYPE_2===1

VALUE:HARDCODEDPARAMVALUE_FIELD_TYPE_1===1

VALUE:HARDCODEDPARAMVALUE_FIELD_PRECISION_2===2

VALUE:HARDCODEDPARAMVALUE_FIELD_PRECISION_3===2

VALUE:HARDCODEDPARAMVALUE_NEW_FIELD_0===True

VALUE:HARDCODEDPARAMVALUE_FORMULA_2===value = $geom.length()

ALGORITHM:qgis:fieldcalculator

267.0,165.0

None

-1|VECTORLAYER_INPUTROUTEVECTOR

-1|HARDCODEDPARAMVALUE_FIELD_NAME_0

-1|HARDCODEDPARAMVALUE_FIELD_TYPE_0

-1|HARDCODEDPARAMVALUE_FIELD_LENGTH_0

-1|HARDCODEDPARAMVALUE_FIELD_PRECISION_0

-1|HARDCODEDPARAMVALUE_NEW_FIELD_0

-1|HARDCODEDPARAMVALUE_FORMULA_0

g|477.0,191.5
History

#1 - 2014-10-04 06:25 AM - Alexander Bruy

- Resolution set to wontfix

- Priority changed from High to Normal

- Status changed from Open to Rejected

This is not an issue while model itself works fine

#2 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

Files

model_test2.png 6.51 KB 2014-05-13 Antonio Locandro
